package com.zjrs.ggfw.dzsbk.bpo;

import org.mohrss.leaf.core.framework.domain.bpo.IBPO;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.ggfw.dzsbk.dto.*;

public interface SignBPO extends IBPO {
	
	//自助终端获取签名串
	public AjaxResponse getZzzdSignature(SignDTO dto);
	
	//自助终端获取用户信息
	public AjaxResponse getZzzdDzsbkUser(SecurityDTO dto);
	
	//获取用户小程序电子社保卡签发数据
	public AjaxResponse getMiniRsDzsbkQf();
	
	//小程序获取签名串
	public AjaxResponse getMiniSignature(SignDTO dto);
	
	//保存小程序电子社保卡签发用户
	public AjaxResponse saveMiniDzsbkUser(MiniProgramQfUserDTO dto);
	
	//小程序解析签发成功返回获取签发号
	public AjaxResponse saveMiniSignNo(SecurityDTO dto);
	
	//获取微信公众号用户签发数据
	public AjaxResponse getWeChatDzsbkQf(WeChatQueryQfDTO dto);
	
	//保存微信公众号签发用户信息
	public AjaxResponse saveWeChatDzsbkUser(SecurityDTO dto);
	
	//微信公众号获取签名串
	public AjaxResponse getWeChatSignature(SecurityDTO dto);
	
	//微信公众号解析签发成功返回获取签发号
	public AjaxResponse saveWeChatSignNo(WeChatSecurityDTO dto);
	
	//微信公众号解绑电子社保卡
	public AjaxResponse removeWeChatSignNo(WeChatSecurityDTO dto);
	
	//微信公众号获取微信实名验证结果
	public AjaxResponse getWeChatRealName(RealNameAuthDTO dto);

	public AjaxResponse getUserByEsscNo(EsscnoDTO dto);
}